package com.wanji.indicators.service.impl;

import com.vividsolutions.jts.geom.LineString;
import com.wanji.indicators.entity.BaseLaneInfo;
import com.wanji.indicators.entity.BaseRidInfo;
import com.wanji.indicators.mapper.BaseLaneInfoMapper;
import com.wanji.indicators.service.BaseLaneInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wanji.indicators.util.GeomsConvertUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import javax.annotation.Resource;
import java.util.List;

/**
* <p>
* 车道基础信息 服务实现类
* </p>
*
* @author fengyi
* @since 2023-04-06
*/
@Service
public class BaseLaneInfoServiceImpl extends ServiceImpl<BaseLaneInfoMapper, BaseLaneInfo> implements BaseLaneInfoService {

	 @Resource
	 private BaseLaneInfoMapper baseLaneInfoMapper;

	@Override
	public List<BaseLaneInfo> findLaneRidInfo() {
		List<BaseLaneInfo> list = baseLaneInfoMapper.findAllBaseLaneInfo();
		for (BaseLaneInfo model : list) {
			String wkt = model.getRidWkt();
			LineString lineString = GeomsConvertUtil.getLineString(wkt);
			double ridLength = lineString.getLength();
			model.setRidLength(ridLength);
		}
		return list;
	}
}
